# -*- coding: utf-8 -*-
"""
Created on Fri Dec 18 08:47:35 2020

@author: gregory.viateau
"""
from arbre import *

def est_feuille(arbre):
    """
    Exemple
    -------
    >>> est_feuille(Noeud(5, arbre_vide, arbre_vide))
    True
    
    >>> est_feuille(Noeud(2, arbre_vide, Noeud(5, arbre_vide, arbre_vide)))
    False
        
    """   


def compter_feuilles(arbre):
    """
    Exemple
    -------
    >>> compter_feuilles(genere_arbre(6, p = 1))
    32
    """

    
def taille(arbre):
    """
    Exemple
    -------
    >>> taille(genere_arbre(7, p = 1))
    127
    """
    

def hauteur(arbre):
    """
    Exemple
    -------
    >>> [hauteur(genere_arbre(i, p = 1)) for i in range(10)]
    [-1, 0, 1, 2, 3, 4, 5, 6, 7, 8]
    """
    

def ajoute(lst1, lst2):
    """
    Exemple
    -------
    >>> ajoute([1, 3, 0, 4], [1, 2, 3])
    [2, 5, 3, 4]
    """

    

def compter_noeuds_niveau(arbre):
    """
    Renvoie une liste contenant le nombre de noeuds par niveaux
    Exemple
    -------
    >>> compter_noeuds_niveau(genere_arbre(6, p=1))
    [1, 2, 4, 8, 16, 32]
    """

   

if __name__ == "__main__":
    import doctest     
    doctest.testmod(verbose=True)