# -*- coding: utf-8 -*-
"""
Created on Fri Dec 18 08:47:35 2020

@author: gregory.viateau
"""
from arbre import *
from collections import deque

    
def parcours_infixe(arbre):
    """
    Exemple
    -------
    >>> parcours_infixe(genere_arbre_numerotation(4, p = 1))
    3 2 4 1 6 5 7 0 10 9 11 8 13 12 14 
    """
        
     
def parcours_prefixe(arbre):
    """
    Exemple
    -------
    >>> parcours_prefixe(genere_arbre_numerotation(4, p = 1))
    0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 
    """


def parcours_suffixe(arbre):
    """
    Exemple
    -------
    >>> parcours_suffixe(genere_arbre_numerotation(4, p = 1))
    3 4 2 6 7 5 1 10 11 9 13 14 12 8 0 
    """


def parcours_largeur(arbre):
    """
    Exemple
    -------
    >>> parcours_largeur(genere_arbre_numerotation(4, p = 1))
    0 1 8 2 5 9 12 3 4 6 7 10 11 13 14 
    """



if __name__ == "__main__":
    import doctest     
    doctest.testmod(verbose=True)